LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		//[Jax]
		Font "DBIGFONT", "Purple"
		TextItem "TeamClass", "t", "TeamClassMenu"
		Font "DBIGFONT", "MenuWhite"
		//[\Jax]
		TextItem "Loadout", "l", "LoadOutMenu" // [Jax]
		TextItem "Extra", "e", "ExtraMenu" // [Jax]
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}

OptionMenu "TeamClassMenu"
{
    Title "TeamClass"
	StaticText     ""
	StaticText     "If you can't change these, restart your game" //cvarinfo needs nosave cvars...
	Option "Mob Class", "cl_team0_class", "team0_class_Options"
	//StaticText     "(cl_team0_class)"
	Option "Boss Class", "cl_team1_class", "team1_class_Options"
	//StaticText     "(cl_team1_class)"
	StaticText     ""
	StaticText     "Server variables, overrides above"
	Option "Forced Mob Class", "force_team0_class", "team0_class_Options"
	StaticText     "(force_team0_class)"
	Option "Forced Boss Class", "force_team1_class", "team1_class_Options"
	StaticText     "(force_team1_class)"
	StaticText     ""
}

OptionValue team0_class_Options
{
-2, "(-2) Disable"
-1, "(-1) Random"
0, "(0) Megaman"
}

OptionValue team1_class_Options
{
-2, "(-2) Disable"
-1, "(-1) Random"
0, "(0) Megaman"
1, "(1) GutsmanG"
2, "(2) Reggae"
3, "(3) WilySaucer"
4, "(4) ShadowMegaman"
5, "(5) Monking"
6, "(6) Colton"
}